import java.io.File; 
import javax.naming.*; 
import java.sql.Timestamp; 
import java.util.Hashtable; 
import java.util.Properties; 

public class JNDILookup {

  // Defaultn kontruktor 
  public JNDILookup(){
    super(); 
  } 

  public void runExample( String fileName ){
    Context initCtx = null; 
    try {
      // Vytvorme InitialContext
      initCtx = new InitialContext(); 

      // Vykonme vyhadanie cez lookup()
      File file = (File)initCtx.lookup( fileName ); 

      // Vypeme pr informci o sbore 
      long fileSize = file.length(); 
      Timestamp ts = new Timestamp( file.lastModified() ); 
      System.out.println( "Nzov sboru: " + fileName ); 
      System.out.println( "Vekos sboru: " + fileSize ); 
      System.out.println( "Dtum posl. mod.: " + ts ); 

    }catch (Exception ex ) {
      ex.printStackTrace(); 
    }finally{
      try{
        System.out.println( "Uzatvram InitialContext" ); 
        if ( initCtx != null ) 
          initCtx.close(); 
      }catch( Exception ex ){
        System.out.println( "Nemem uzatvori InitialContext" ); 
      } 
    } 
  } 

  public static void main( String[] args ){
    if ( args.length != 1 ){
      System.out.println( "Pouitie: JNDILookup <sbor.txt>" );
      System.exit( 0 );
    }

    String fileName = args[0];
    JNDILookup example = new JNDILookup();
    example.runExample( fileName );
  }
}
