import javax.naming.*; 
import java.util.Hashtable; 
import java.util.Iterator; 
import java.util.Properties; 
import java.util.Set; 

public class ListJNDIEnvironment { 

 ListJNDIEnvironment(){ 
  super(); 
 } 

 public void listEnvironmentProperties(){ 
  Context initCtx = null; 
  try { 
   /* 
   * Vytvorme InitialContext. Sbor jndi.properties 
   * bude pouit pre uloenie premennch prostredia 
   */ 
   initCtx = new InitialContext(); 

   /* 
   * Vytvorme zoznam vetkch premennch prostredia 
   * pre tento Context 
   */ 
   Hashtable env = initCtx.getEnvironment(); 
   Set keys = env.keySet(); 
   Iterator iter = keys.iterator(); 
   while( iter.hasNext() ) { 
    String key = (String)iter.next(); 
    String value = (String)env.get( key ); 
    System.out.println( key + "=" + value ); 
   } 
  } catch( NoInitialContextException ex ){ 
   System.out.println( "Nezadali ste InitialContext" ); 
   System.out.println( "Skontroluj sbor jndi.properties" ); 
  } catch( NamingException ex ){ 
   ex.printStackTrace(); 
  } finally { 
   // Uzatvorme pouvan zdroje 
   closeInitialContext( initCtx ); 
  } 
 } 

 // Vdy treba uzatvori InitialContext 
 public void closeInitialContext( Context ctx ){ 
  try { 
   if ( ctx != null ) { 
    System.out.println( "Uzatvram InitialContext" ); 
    ctx.close(); 
   } 
  } catch ( NamingException ex ) { 
   ex.printStackTrace(); 
  } 
 } 

 public static void main( String[] args ){ 
  ListJNDIEnvironment client = new ListJNDIEnvironment(); 
  // Vypeme zoznam pouitch premennch prostredia 
  client.listEnvironmentProperties(); 
 } 
}
